Bug 238386 - Inconsistent logical volume sizes between RHEL5 and Fedora-devel
Inconsistent logical volume sizes between RHEL5 and Fedora-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 22:21 EDT by Ding-Yi Chen
Modified: 2007-11-30 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 16:40:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2007-04-29 22:21:36 EDT
Description of problem:
In installation stage, the logical volume sizes show in RHEL 5 and Fedora Test4 
are different.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install RHEL 5 with LVM logical volumes.
2. When edit logical volumes inside a Volume group, note down the total space 
(ex. Total Space: 152352.00 MB)
3. After RHEL 5 installed, install Fedora Test 4
3. In the partition layout screen, click on one of the logical volume, then 
click edit.
4. Compare the total space from RHEL 5 (shown as Used space here), and total 
space in Fedora-test 4 (ex. 152320.00 MB). The free space is -32.00 MB in this 
example. 
  
Actual results:
In Edit LVM Volume Group: VolGroup00

Used Space: 152352.00 MB (100.0%)
Free Space:  -32.00 MB (-0.0%)
Total Space: 152320.00 MB

Expected results:
Used Space: 152320.00 MB (100.0%)
Free Space:  0.00 MB (0.0%)
Total Space: 152320.00 MB


Additional info:
Comment 1 Dave Wysochanski 2007-05-21 09:15:06 EDT
Went through this briefly last week - not sure if this ls an LVM2 or installer
bug (looked a bit through anaconda code last week and noticed a few fixes that
might be related but wasn't sure).  Anaconda people - does this look like a
possible installer bug?  Leaving as lvm for now.
Comment 3 Alasdair Kergon 2007-06-07 11:27:46 EDT
Those numbers are from anaconda.  Run the F7 lvm2 tools directly and see what
values they give you.
Comment 4 Ian Kent 2007-06-07 11:48:11 EDT
(In reply to comment #3)
> Those numbers are from anaconda.  Run the F7 lvm2 tools directly and see what
> values they give you.

I don't see any obvious incorrect output from the scan
commands or xxdisplay commands on my F7 system. The scan
output is not to verbose so I included it here.

[root@raven ~]# uname -a
Linux raven.themaw.net 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:47:07 EDT 2007
x86_64 x86_64 x86_64 GNU/Linux

Perhaps it's arch specific or Anaconda.

[root@raven ~]# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "mvg" using metadata type lvm2
  Found volume group "VolGroup02" using metadata type lvm2
  Found volume group "VolGroup00" using metadata type lvm2

[root@raven ~]# pvscan
  PV /dev/sdb5   VG mvg          lvm2 [22.89 GB / 18.89 GB free]
  PV /dev/sdb6   VG mvg          lvm2 [22.89 GB / 22.89 GB free]
  PV /dev/sdb7   VG mvg          lvm2 [22.18 GB / 22.18 GB free]
  PV /dev/sdb1   VG VolGroup02   lvm2 [42.92 GB / 0    free]
  PV /dev/sdb2   VG VolGroup02   lvm2 [38.15 GB / 0    free]
  PV /dev/sda3   VG VolGroup00   lvm2 [74.41 GB / 43.47 GB free]
  Total: 6 [223.44 GB] / in use: 6 [223.44 GB] / in no VG: 0 [0   ]
[root@raven ~]# lvscan
  ACTIVE            '/dev/mvg/tlv' [4.00 GB] inherit
  ACTIVE            '/dev/VolGroup02/LogVol00' [81.07 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol00' [12.00 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol01' [1.94 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol02' [5.00 GB] inherit
  ACTIVE            '/dev/VolGroup00/LogVol03' [12.00 GB] inherit

Ian
Comment 5 Ding-Yi Chen 2007-06-07 19:22:22 EDT
I used to have this problem in April 2007. However, the problem dispeared in
early May (I forget the exact date). Maybe there are some patch which fix this
problem already?
Comment 6 David Cantrell 2007-08-22 16:40:47 EDT
Closing per comment #5.

Note You need to log in before you can comment on or make changes to this bug.